<div class="custom-type-create">
  <div class="row">
      <div class="col-md-12"> 
          <div class="card mb-3">
              <div class="card-header">
                 Add New Incident Type
                  <div [hidden]="!showSpinner">
                      <app-spinner></app-spinner>
                  </div>
              </div>
              <div class="card-body">
                  <div class="form-content">
                      <div class="form-group">
                          <input type="text" [(ngModel)]="model.Name" class="form-control input-underline input-sm" id="" placeholder="Name">
                      </div>                 
                  </div>
                  <div class="form-content">
                      <div class="form-group">
                        <label><input type="checkbox" [(ngModel)]="model.IsReportRequired" value="model.IsReportRequired"/> IsReportRequired?</label>
                      </div>
                  </div>

                  <div class="form-content">
                      <div class="form-group">
                          <div class="form-line">
                              <!-- <select [(ngModel)]="model.RequiredReport" class="form-control input-sm" style="height:34px">                                  
                                  <option value="1">Handelserapport</option>
                                  <option value="2">Ryckrapport</option>
                              </select> -->

                              <p-pickList [source]="RequiredReportTypes" [showSourceControls]="false" [showTargetControls]="false" [target]="SelectedRequiredReports" sourceHeader="Report Types" targetHeader="Selected Required Reports" [responsive]="true" filterBy="Name" 
                                    [disabled]="!model.IsReportRequired" (onMoveToTarget)="requiredReportMoveToTarget()" onMoveToSource="requiredReportMoveToSource()" dragdrop="true" sourceFilterPlaceholder="Search by Name" targetFilterPlaceholder="Search by Name" [sourceStyle]="{'height':'150px'}" [targetStyle]="{'height':'150px'}">
                                    <ng-template let-reportType pTemplate="item">
                                        <div class="ui-helper-clearfix">
                                            <!-- <img src="../assets/images/img_avatar.png" style="display:inline-block;margin:2px 0 2px 2px" width="40"> -->
                                            <div style="font-size:14px;float:right;margin:15px 5px 0 0">{{reportType.Name}}</div>
                                        </div>
                                    </ng-template>
                              </p-pickList>


                          </div>
                      </div>                 
                  </div>

                  <div class="form-content">
                      <div class="form-group">
                          <div class="form-line">
                              <p-pickList [source]="ShownReportTypes" [showSourceControls]="false" [showTargetControls]="false" [target]="SelectedShownReports" sourceHeader="Report Types" targetHeader="Selected Shown Reports" [responsive]="true" filterBy="Name" 
                                (onMoveToTarget)="shownReportMoveToTarget()" (onMoveToSource)="shownReportMoveToSource()" dragdrop="true" sourceFilterPlaceholder="Search by Name" targetFilterPlaceholder="Search by Name" [sourceStyle]="{'height':'150px'}" [targetStyle]="{'height':'150px'}">
                                <ng-template let-reportType pTemplate="item">
                                    <div class="ui-helper-clearfix">
                                        <!-- <img src="../assets/images/img_avatar.png" style="display:inline-block;margin:2px 0 2px 2px" width="40"> -->
                                        <div style="font-size:14px;float:right;margin:15px 5px 0 0">{{reportType.Name}}</div>
                                    </div>
                                </ng-template>
                          </p-pickList>
                          </div>
                      </div>                 
                  </div>
        
                
              </div>
              <div class="card-footer">
                  <button type="button" [disabled]="!model.Name" (click)="saveChanges()" class="btn btn-success rounded-btn"> Save </button>&nbsp;
                  <a class="btn btn-default rounded-btn" [routerLink]="['/incident-types']"> Cancel </a>
              </div>
          </div>
      </div>
  </div>
</div>
